# Defold Druid UI Library

# Module `CheckboxGroup`

Checkbox group module

## Functions

init(self, nodes, callback[, click_nodes=node]) | Component init function
set_state(self, indexes) | Set checkbox group state
get_state(self) | Return checkbox group state

## Fields

on_checkbox_click | On any checkbox click callback(self, index)

## Functions

init(self, nodes, callback[, click_nodes=node])
  Component init function

  ### Parameters:

  - self CheckboxGroup
  - nodes node[] Array of gui node
  - callback function Checkbox callback
  - click_nodes node[] Array of trigger nodes, by default equals to nodes (default node)
set_state(self, indexes)
  Set checkbox group state

  ### Parameters:

  - self CheckboxGroup
  - indexes bool[] Array of checkbox state
get_state(self)
  Return checkbox group state

  ### Parameters:

  - self CheckboxGroup

  ### Returns:

  bool[] Array if checkboxes state

## Fields

on_checkbox_click
  On any checkbox click callback(self, index)
  - on_checkbox_click druid_event

generated by LDoc 1.4.6 Last updated 2020-10-12 00:44:30